<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listCodices") label="Codices"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="All Codices"]]

<div class="btn-toolbar">
  <semantic-link
    iri="[[resolvePrefix ':searchCodices']]"
    class="btn btn-md btn-default"
    >Advanced search</semantic-link>
[[#if (hasPermission "forms:ldp:update")]]
  <semantic-link
    iri="[[resolvePrefix ':createCodex']]"
    class="btn btn-md btn-primary"
    >Add new codex</semantic-link>
[[/if]]
</div>

<div class="gap">
  <semantic-simple-search
    query='
      SELECT ?resource ?label WHERE {
        ?resource a ismi:Codex ;
          rdfs:label ?label .
        ?search_hit bds:search ?__token__ ;
          bds:relevance ?score ;
          bds:minRelevance "0.1" .
        {
          ?resource rdfs:label ?search_hit .
        } UNION {
          ?resource crm:P1_is_identified_by ?id .
          ?id crm:P2_has_type <http://content.mpiwg-berlin.mpg.de/ns/ismi/type/identifier/preferred-identifier> ;
            rdfs:label ?search_hit .
        }
      } ORDER BY DESC(?score) LIMIT 100
    '
    template='<span style="color: blue;" title="{{resource.value}}">{{label.value}}</span>'
    input-placeholder='Search for codex by label or identifier...'
  ></semantic-simple-search>
</div>

<div class="panel gap">
  <div class="panel-body">
    [[> Partial:tableCodices]]
  </div>
</div>

[[> Partial:contentEnd]]
